If you want to update from a very old version e.g. 3.1 or 3.2 to ekey-net-Generation-4.x, it is necessary to update to version 3.4.3 first, so that the database can be transferred correctly.

The update can be found here ekey net 3.4.3.